Bug 1043645 - After F-19 UEFI install, Windows 8 install goes missing....
Summary: After F-19 UEFI install, Windows 8 install goes missing....
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 19:54 UTC by Jeffrey Walton
Modified: 2016-04-04 12:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 12:52:35 UTC
Type: Bug


Attachments (Terms of Use)
Missing bootmgfw.efi picture from camera (2.11 MB, image/jpeg)
2013-12-16 19:54 UTC, Jeffrey Walton
no flags Details
Fedora 19 UEFI boot errors in dual-boot config (2.06 MB, image/jpeg)
2013-12-16 20:05 UTC, Jeffrey Walton
no flags Details

Description Jeffrey Walton 2013-12-16 19:54:11 UTC
Created attachment 837392 [details]
Missing bootmgfw.efi picture from camera

Installed Fedora 19 (Fedora-Live-Desktop-x86_64-19-1.iso) in a dual boot configuration. The existing OS was Windows 8, and the install occured using UEFI (not CSM or legacy mode).

It seems Fedora lost track of the existing Windows installation. Attempting to select Windows from the loader menu results in:

    error: file 'EFI/Microsoft/Boot/bootmgfw.efi' not found.
    error: you need to load the kernel first.
    Press any key to continue...

Fortunately, the UEFI has a boot manager that works as expected. And rEFInd finds Windows and Fedora, and allows me to boot both.

Perhaps grub (or whatever is being used) should be discarded in favor of the UEFI boot manager of rEFInd. Whatever is in there now just breaks things and causes more confusion.

Comment 1 Jeffrey Walton 2013-12-16 20:04:10 UTC
And booting Fedora has some additional unexpected output:

    error: failure reading sector 0xfc from 'hd1'.
    error: failure reading sector 0xe0 from 'hd1'.
    error: failure reading sector 0x0 from 'hd1'.
    Secure Boot not enabled
    Press any key to continue...

After pressing any key, the OS continues to load.

Comment 2 Jeffrey Walton 2013-12-16 20:05:06 UTC
Created attachment 837393 [details]
Fedora 19 UEFI boot errors in dual-boot config

Comment 3 Jaroslav Reznik 2015-03-03 15:19:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Jeffrey Walton 2016-04-04 12:52:35 UTC
Closing because its so old.


Note You need to log in before you can comment on or make changes to this bug.